package dev.ulfrx.recipe.ui.screens.search.catalog

import androidx.lifecycle.ViewModel
import kotlinx.coroutines.flow.MutableStateFlow
import kotlinx.coroutines.flow.StateFlow
import kotlinx.coroutines.flow.asStateFlow

class RecipeCatalogViewModel : ViewModel() {
    private val _state = MutableStateFlow(RecipeCatalogState(cards = sampleRecipeCatalogCards))
    val state: StateFlow<RecipeCatalogState> = _state.asStateFlow()
}
